openoffice-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Don Lewis <truck...@apache.org>
Subject Re: configure error
Date Fri, 19 Aug 2016 21:57:29 GMT
On 19 Aug, Patricia Shanahan wrote:
> 
> 
> On 8/19/2016 12:51 PM, Don Lewis wrote:
>> On 19 Aug, Patricia Shanahan wrote:
>>> I did an "svn update". Now configure is failing:
>>>
>>> ********************************************************************
>>> *                                                                  *
>>> *   Setting up the build environment variables.                    *
>>> *                                                                  *
>>> ********************************************************************
>>> checking solver path... default
>>> configure: writing config.status
>>> configure: creating ./config.status
>>> config.status: creating set_soenv
>>> config.status: creating Makefile
>>> Possible unintended interpolation of @HAMCREST_CORE_JAR in string at
>>> ./set_soenv line 1644.
>>> Global symbol "@HAMCREST_CORE_JAR" requires explicit package name (did
>>> you forget to declare "my @HAMCREST_CORE_JAR"?) at ./set_soenv line 1644.
>>> Execution of ./set_soenv aborted due to compilation errors.
>>
>> Either disable junit or add --with-hamcrest-core.
>>
>> This is why the Linux buildbots have been failing recently.
> 
> I tried adding the hamcrest option, and it just causes an additional 
> message:
> 
> configure: WARNING: unrecognized options: --with-hamcrest-core
> 
> Maybe I need a different configure version from the one checked in under 
> https://svn.apache.org/repos/asf/openoffice/trunk
> 
> Here are my full configure parameters:
> 
> Patricia@Jan2014Desktop /cygdrive/c/OpenOfficeDev/Trunk/main
> $ more run_configure.sh
> SDK_PATH="/cygdrive/c/Program Files/Microsoft SDKs/Windows/v7.0"
> ./configure \
>      --with-frame-home="$SDK_PATH" \
>      --with-psdk-home="$SDK_PATH" \
>      --with-midl-path="$SDK_PATH/bin" \
>      --disable-directx \
>      --with-ant-home="/cygdrive/c/ant" \
>  
> --with-dmake-url="http://dmake.apache-extras.org.codespot.com/files/dmake-4.12.tar.bz2"

> \
>  
> --with-epm-url="http://www.msweet.org/files/project2/epm-3.7-source.tar.gz" 
> \
>      --enable-pch \
>      --disable-atl \
>      --disable-activex \
>      --without-junit \
>      --with-hamcrest-core \
>      --with-jdk-home="/cygdrive/c/Program Files (x86)/Java/jdk1.7.0_79"

Strange ...

I haven't played with it, but --with-hamcrest-core should specify the
location of the hamcrest-core .jar file unless you have it installed in
one of the places that configure looks for it.  You shouldn't need
hamcrest since you are specifying --without-junit.

I ran into configure problems when I updated after the junit/hamcrest
change and all I did was remove -with-junit from my configure command
line.

Hmn, I see that the error that you are seeing is coming from set_soenv
and not configure.  Did you rerun autoconf to regenerate configure after
the update?




---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@openoffice.apache.org
For additional commands, e-mail: dev-help@openoffice.apache.org


Mime
View raw message